## soapyremote 0.3.1

=== debian/changelog ===
soapyremote (0.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #838314)

 -- Andreas Bombe <aeb@debian.org>  Thu, 20 Oct 2016 02:42:10 +0200
