=== debian/control ===
Source: soapyremote
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 10),
    cmake,
    libsoapysdr-dev
Standards-Version: 3.9.8
Homepage: https://github.com/pothosware/SoapyRemote/wiki
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyremote.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyremote.git

Package: soapysdr0.5-2-module-remote
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.5-2-module
Description: Use SoapySDR devices over network (client module)
 The SoapyRemote project provides a client module and a server that make it
 possible on the client side to list and access hardware supported by SoapySDR
 modules on the server as if they were local modules.
 .
 This package contains the client module.

Package: soapysdr-module-remote
Architecture: any
Depends: soapysdr0.5-2-module-remote, ${misc:Depends}
Description: Use SoapySDR devices over network (default client module)
 The SoapyRemote project provides a client module and a server that make it
 possible on the client side to list and access hardware supported by SoapySDR
 modules on the server as if they were local modules.
 .
 This is an empty dependency package that pulls in the client module for the
 default version of libsoapysdr.

Package: soapyremote-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Use SoapySDR devices over network (server)
 The SoapyRemote project provides a client module and a server that make it
 possible on the client side to list and access hardware supported by SoapySDR
 modules on the server as if they were local modules.
 .
 This package contains the server.
