=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installinit:
	# installinit creates init.d snippets even though only a systemd
	# unit file is installed; disable and let dh_systemd do the work

override_dh_installdocs:
	dh_installdocs -p soapysdr-module-remote \
		--link-doc=soapysdr0.5-2-module-remote
	dh_installdocs --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt
