## soapyremote 0.3.2

=== debian/changelog ===
soapyremote (0.3.2-1) unstable; urgency=medium

  * New upstream release
  * Remove local manpage, it was merged upstream
  * Make soapysdr-module-remote Multi-Arch: same
  * Remove --parallel from dh invocation, default in compat 10
  * Add README.Debian with information on how to increase socket buffer
    limits

 -- Andreas Bombe <aeb@debian.org>  Sun, 11 Dec 2016 02:21:28 +0100
