=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 
 Package: soapysdr-module-remote
 Architecture: any
+Multi-Arch: same
 Depends: soapysdr0.5-2-module-remote, ${misc:Depends}
 Description: Use SoapySDR devices over network (default client module)
  The SoapyRemote project provides a client module and a server that make it
