## soapyremote 0.4.2

=== common/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 CHECK_INCLUDE_FILES(arpa/inet.h HAS_ARPA_INET_H)
 CHECK_INCLUDE_FILES(ifaddrs.h HAS_IFADDRS_H)
 CHECK_INCLUDE_FILES(net/if.h HAS_NET_IF_H)
+CHECK_INCLUDE_FILES(fcntl.h HAS_FCNTL_H)
 
 #network libraries
 if (WIN32)
