=== debian/changelog ===
soapyremote (0.4.2-1) unstable; urgency=medium

  * New upstream release
  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Link with --as-needed
  * Adjust copyright years for Josh Blum in debian/copyright
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Fri, 11 Aug 2017 15:08:47 -0400
