=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends:
     debhelper (>= 10),
     cmake,
-    libsoapysdr-dev
-Standards-Version: 3.9.8
+    libsoapysdr0.6-dev
+Standards-Version: 4.0.1
 Homepage: https://github.com/pothosware/SoapyRemote/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyremote.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyremote.git
 
-Package: soapysdr0.5-2-module-remote
+Package: soapysdr0.6-module-remote
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.5-2-module
+Provides: soapysdr0.6-module
 Description: Use SoapySDR devices over network (client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR
@@ -27,7 +27,7 @@
 Package: soapysdr-module-remote
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.5-2-module-remote, ${misc:Depends}
+Depends: soapysdr0.6-module-remote, ${misc:Depends}
 Description: Use SoapySDR devices over network (default client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR
