=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -20,7 +21,7 @@
 
 override_dh_installdocs:
 	dh_installdocs -p soapysdr-module-remote \
-		--link-doc=soapysdr0.5-2-module-remote
+		--link-doc=soapysdr0.6-module-remote
 	dh_installdocs --remaining-packages
 
 override_dh_installchangelogs:
