=== debian/changelog ===
soapyremote (0.4.3-1) unstable; urgency=medium

  * New upstream release
  * Adjust copyright years for Josh Blum in debian/copyright
  * Increase debhelper compat level to 11 and remove dh_installinit override
    from debian/rules
  * Switch Vcs-* headers over to repositories on salsa.debian.org
  * Bump Standards-Version to 4.1.3, no changes required
  * Use https URL for debian/copyright Format header

 -- Andreas Bombe <aeb@debian.org>  Fri, 23 Mar 2018 03:04:55 +0100
