=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 10),
+    debhelper (>= 11),
     cmake,
     libsoapysdr0.6-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/pothosware/SoapyRemote/wiki
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyremote.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyremote.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote.git
 
 Package: soapysdr0.6-module-remote
 Architecture: any
