## soapyremote 0.5.1

=== debian/changelog ===
soapyremote (0.5.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:58 +0100

soapyremote (0.5.1-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.4.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 20 Oct 2019 17:38:16 +0200

soapyremote (0.5.1-1) experimental; urgency=medium

  * New upstream version 0.5.1
  * Change SoapySDR ABI version in package names and dependencies from 0.6
    to 0.7
  * Add build dependency on libavahi-client-dev for new DNS-SD support
  * Adjust copyright years for Josh Blum in debian/copyright
  * Increase debhelper compat level to 12
  * Bump Standards-Version to 4.4.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 23 Sep 2019 02:29:54 +0200
