=== debian/control ===
--- 
+++ 
@@ -4,19 +4,20 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 11),
+    debhelper (>= 12),
     cmake,
-    libsoapysdr0.6-dev
-Standards-Version: 4.1.3
+    libsoapysdr0.7-dev,
+    libavahi-client-dev
+Standards-Version: 4.4.1
 Homepage: https://github.com/pothosware/SoapyRemote/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote.git
 
-Package: soapysdr0.6-module-remote
+Package: soapysdr0.7-module-remote
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.6-module
+Provides: soapysdr0.7-module
 Description: Use SoapySDR devices over network (client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR
@@ -27,7 +28,7 @@
 Package: soapysdr-module-remote
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.6-module-remote, ${misc:Depends}
+Depends: soapysdr0.7-module-remote, ${misc:Depends}
 Description: Use SoapySDR devices over network (default client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR
