=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
-override_dh_installinit:
-	# installinit creates init.d snippets even though only a systemd
-	# unit file is installed; disable and let dh_systemd do the work
-
 override_dh_installdocs:
 	dh_installdocs -p soapysdr-module-remote \
-		--link-doc=soapysdr0.6-module-remote
+		--link-doc=soapysdr0.7-module-remote
 	dh_installdocs --remaining-packages
 
 override_dh_installchangelogs:
