## soapyremote 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,27 @@
 ########################################################################
 cmake_minimum_required(VERSION 2.8.7)
 project(SoapyRemote CXX C)
+
+#extract changelog version
+file(READ "${PROJECT_SOURCE_DIR}/Changelog.txt" changelog_txt)
+string(REGEX MATCH "Release ([0-9]+\\.[0-9]+\\.[0-9]+) \\(" CHANGELOG_MATCH "${changelog_txt}")
+if(NOT CHANGELOG_MATCH)
+    message(FATAL_ERROR "Failed to extract version number from Changelog.txt")
+endif(NOT CHANGELOG_MATCH)
+set(SOAPY_REMOTE_VERSION "${CMAKE_MATCH_1}")
+
+if (NOT SOAPY_REMOTE_EXTVER)
+    include(${PROJECT_SOURCE_DIR}/cmake/Modules/GetGitRevisionDescription.cmake)
+    get_git_head_revision(GITREFSPEC GITHASH)
+    if (GITHASH)
+        string(SUBSTRING "${GITHASH}" 0 8 GITHASH)
+        set(SOAPY_REMOTE_EXTVER "g${GITHASH}")
+    else (GITHASH)
+        set(SOAPY_REMOTE_EXTVER "unknown")
+    endif (GITHASH)
+endif()
+
+set(SOAPY_REMOTE_VERSION "${SOAPY_REMOTE_VERSION}-${SOAPY_REMOTE_EXTVER}")
 
 # select build type to get optimization flags
 if(NOT CMAKE_BUILD_TYPE)
@@ -31,10 +52,25 @@
 
 endif(CMAKE_COMPILER_IS_GNUCXX)
 
+#link threads in freebsd
+if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
+    find_package(Threads)
+    message(STATUS "CMAKE_THREAD_LIBS_INIT: ${CMAKE_THREAD_LIBS_INIT}")
+    list(APPEND SoapySDR_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
+endif()
+
 #enable c++11 extensions for OSX
 if (APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -Wc++11-extensions")
 endif(APPLE)
+
+if(MSVC)
+    #we always want to use multiple cores for compilation
+    add_compile_options(/MP)
+
+    #projects should be cross-platform and standard stl functions should work
+    add_definitions(-DNOMINMAX) #enables std::min and std::max
+endif()
 
 #common headers used by client and server
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/common)
@@ -46,3 +82,9 @@
 if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
     add_subdirectory(system)
 endif()
+
+#########################################################################
+# summary
+#########################################################################
+message(STATUS "SoapyRemote version: v${SOAPY_REMOTE_VERSION}")
+message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
