=== client/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
         Streaming.cpp
         LogAcceptor.cpp
         ClientStreamData.cpp
+        DiscoverServers.cpp
     LIBRARIES
         SoapySDRRemoteCommon
 )
