=== common/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,15 @@
     SoapyStreamEndpoint.cpp
     SoapyHTTPUtils.cpp
     SoapySSDPEndpoint.cpp
+    SoapyIfAddrs.cpp
 )
+
+#network interface enumeration
+if (WIN32)
+    list(APPEND COMMON_SOURCES SoapyIfAddrsWindows.cpp)
+else ()
+    list(APPEND COMMON_SOURCES SoapyIfAddrsUnix.cpp)
+endif ()
 
 #configure ssdp defines
 configure_file(
@@ -33,10 +41,41 @@
 CHECK_INCLUDE_FILES(net/if.h HAS_NET_IF_H)
 CHECK_INCLUDE_FILES(fcntl.h HAS_FCNTL_H)
 
+include(CheckCXXSourceCompiles)
+CHECK_CXX_SOURCE_COMPILES("#include <cstring>
+int main(void){return strerror_r(0, NULL, 0);}" STRERROR_R_XSI)
+if (STRERROR_R_XSI)
+    add_definitions(-DSTRERROR_R_XSI)
+endif ()
+
 #network libraries
 if (WIN32)
     list(APPEND SoapySDR_LIBRARIES ws2_32)
 endif (WIN32)
+
+#avahi for discovery over mDNS/DNS-SD daemon
+if (UNIX AND NOT APPLE)
+    list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
+    find_package(Avahi)
+    if (NOT AVAHI_FOUND)
+        message(WARNING
+            "Cannot find Avahi client development files:"
+            "Avahi is recommended for device discovery over mDNS."
+            "Please install libavahi-client-dev or equivalent.")
+    endif ()
+endif ()
+
+if (APPLE)
+    list(APPEND COMMON_SOURCES SoapyMDNSEndpointApple.cpp)
+elseif (AVAHI_FOUND)
+    message(STATUS "AVAHI_INCLUDE_DIRS=${AVAHI_INCLUDE_DIRS}")
+    message(STATUS "AVAHI_LIBRARIES=${AVAHI_LIBRARIES}")
+    include_directories(${AVAHI_INCLUDE_DIRS})
+    list(APPEND SoapySDR_LIBRARIES ${AVAHI_LIBRARIES})
+    list(APPEND COMMON_SOURCES SoapyMDNSEndpointAvahi.cpp)
+else ()
+    list(APPEND COMMON_SOURCES SoapyMDNSEndpointNone.cpp)
+endif ()
 
 #create private include header for network compatibility
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
