=== debian/changelog ===
soapyremote (0.5.2-3) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Tue, 07 Sep 2021 01:28:10 +0200

soapyremote (0.5.2-2) experimental; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.7
    to 0.8
  * Add Rules-Requires-Root field to d/control
  * Bump Standards-Version to 4.6.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sat, 28 Aug 2021 19:31:04 +0200

soapyremote (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Update copyright years for Josh Blum in debian/copyright
  * Bump Standards-Version to 4.5.0, no changes required
  * Increase debhelper compat level to 13 and use debhelper-compat
    Build-Depends instead of debian/compat file
  * Add debian/not-installed listing files expected to not be installed for
    dh_missing

 -- Andreas Bombe <aeb@debian.org>  Tue, 25 Aug 2020 01:26:06 +0200
