=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 12),
+    debhelper-compat (= 13),
     cmake,
-    libsoapysdr0.7-dev,
+    libsoapysdr0.8-dev,
     libavahi-client-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/pothosware/SoapyRemote/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote.git
+Rules-Requires-Root: no
 
-Package: soapysdr0.7-module-remote
+Package: soapysdr0.8-module-remote
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.7-module
+Provides: soapysdr0.8-module
 Description: Use SoapySDR devices over network (client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR
@@ -28,7 +29,7 @@
 Package: soapysdr-module-remote
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.7-module-remote, ${misc:Depends}
+Depends: soapysdr0.8-module-remote, ${misc:Depends}
 Description: Use SoapySDR devices over network (default client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR
