=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 override_dh_installdocs:
 	dh_installdocs -p soapysdr-module-remote \
-		--link-doc=soapysdr0.7-module-remote
+		--link-doc=soapysdr0.8-module-remote
 	dh_installdocs --remaining-packages
 
 override_dh_installchangelogs:
