=== debian/watch ===
version=4
https://github.com/pothosware/SoapyRemote/releases .*/soapy-remote-([\d\.]+)\.tar\.(?:xz|gz|bz2)
